igeo.io

## Class IRhino3dm.BrepEdge

- java.lang.Object
- - igeo.io.IRhino3dm.RhinoObject
  - - igeo.io.IRhino3dm.Geometry
    - - igeo.io.IRhino3dm.Curve
      - - igeo.io.IRhino3dm.CurveProxy
        - - igeo.io.IRhino3dm.BrepEdge

- Enclosing class:
    IRhino3dm

      public static class IRhino3dm.BrepEdge
      extends IRhino3dm.CurveProxy

- - ### Field Summary

    Fields
    Modifier and Type | Field and Description
    --- | ---
    `IRhino3dm.Brep` | `brep`
    `int` | `curve3Index`
    `int` | `edgeIndex`
    `double` | `tolerance`
    `java.util.ArrayList<java.lang.Integer>` | `trimIndex`
    `static java.lang.String` | `uuid`
    `int[]` | `vertexIndex`

    - ### Fields inherited from class igeo.io.IRhino3dm.CurveProxy

      `realCurve, realCurveDomain, reversed, thisDomain`

    - ### Fields inherited from class igeo.io.IRhino3dm.Curve

      `icurve`

    - ### Fields inherited from class igeo.io.IRhino3dm.RhinoObject

      `attributes, objectTypeAnnotation, objectTypeAny, objectTypeBeam, objectTypeBrep, objectTypeCage, objectTypeClipPlane, objectTypeCurve, objectTypeDetail, objectTypeEdgeFilter, objectTypeExtrusion, objectTypeGrip, objectTypeHatch, objectTypeInstanceDefinition, objectTypeInstanceReference, objectTypeLayer, objectTypeLight, objectTypeLoop, objectTypeMaterial, objectTypeMesh, objectTypeMeshEdge, objectTypeMeshFace, objectTypeMeshVertex, objectTypeMorphControl, objectTypePhantom, objectTypePoint, objectTypePointset, objectTypePolyledgeFilter, objectTypePolysrfFilter, objectTypeSurface, objectTypeTextDot, objectTypeUnknown, objectTypeUserData, userDataList`

  - ### Constructor Summary

    Constructors
    Constructor and Description
    `BrepEdge()`
    `BrepEdge(int eidx, int c3idx, int vidx1, int vidx2, IRhino3dm.Interval proxyDomain, IRhino3dm.Interval domain, IRhino3dm.Brep brep)`

  - ### Method Summary

    All Methods Instance Methods Concrete Methods
    Modifier and Type | Method and Description
    --- | ---
    `void` | `addTrimIndex(int i)`
    `IRhino3dm.UUID` | `getClassUUID()`
    `int` | `getType()`
    `void` | `read(IRhino3dm.Rhino3dmFile context, java.io.InputStream is)`
    `void` | `write(IRhino3dm.Rhino3dmFile context, java.io.OutputStream os, java.util.zip.CRC32 crc)`

    - ### Methods inherited from class igeo.io.IRhino3dm.CurveProxy

      `domain, isValid, proxyCurveDomain, proxyCurveIsReversed, realCurveParameter, reverse, setDomain, setProxyCurve, setProxyCurveDomain`

    - ### Methods inherited from class igeo.io.IRhino3dm.Curve

      `createIGeometry, createIObject, createTrimCurve`

    - ### Methods inherited from class igeo.io.IRhino3dm.RhinoObject

      `read, setAttributes, setAttributesToIObject`

    - ### Methods inherited from class java.lang.Object

      `clone, equals, finalize, getClass, hashCode, notify, notifyAll, toString, wait, wait, wait`

- - ### Field Detail

    - #### uuid

          public static final java.lang.String uuid

      See Also:
        Constant Field Values

    - #### edgeIndex

          public int edgeIndex

    - #### curve3Index

          public int curve3Index

    - #### vertexIndex

          public int[] vertexIndex

    - #### trimIndex

          public java.util.ArrayList<java.lang.Integer> trimIndex

    - #### tolerance

          public double tolerance

    - #### brep

          public IRhino3dm.Brep brep

  - ### Constructor Detail

    - #### BrepEdge

          public BrepEdge()

    - #### BrepEdge

          public BrepEdge(int eidx,
                          int c3idx,
                          int vidx1,
                          int vidx2,
                          IRhino3dm.Interval proxyDomain,
                          IRhino3dm.Interval domain,
                          IRhino3dm.Brep brep)

  - ### Method Detail

    - #### getClassUUID

          public IRhino3dm.UUID getClassUUID()

      Overrides:
        `getClassUUID` in class `IRhino3dm.CurveProxy`

    - #### getType

          public int getType()

      Overrides:
        `getType` in class `IRhino3dm.Curve`

    - #### addTrimIndex

          public void addTrimIndex(int i)

    - #### read

          public void read(IRhino3dm.Rhino3dmFile context,
                           java.io.InputStream is)
                    throws java.io.IOException

      Overrides:
        `read` in class `IRhino3dm.RhinoObject`
      Throws:
        `java.io.IOException`

    - #### write

          public void write(IRhino3dm.Rhino3dmFile context,
                            java.io.OutputStream os,
                            java.util.zip.CRC32 crc)
                     throws java.io.IOException

      Overrides:
        `write` in class `IRhino3dm.RhinoObject`
      Throws:
        `java.io.IOException`